Subject: bug#67792: txr: certain string substitution in recipe obsolete.

From: Kaz Kylheku <[email-masked]>
Date: Mon, 11 Dec 2023 21:36:53 -0800

Hi, 

In the recipe for txr (in gnu/packages/lisp.scm), this is not
needed any more:

                   (substitute* "genman.txr"
                     ;; Exit from genman.txr before it tries to write to
                     ;; stdlib/doc-syms.tl, which is anyway kept up to date
                     ;; with each release (and is already compiled to
                     ;; stdlib/doc-syms.tlo when genman.txr is run).
                     (("^@\\(output \"stdlib/doc-syms\\.tl\"\\).*" line)
                      (string-append "@(do (exit))\n" line)))))

The doc doc-syms mechanism was removed in 292, so the pattern will not
match.

Cheers ...